package ru.yandex.canvas.controllers.video;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonProperty;

import ru.yandex.canvas.service.video.PreviewData;

public class PreviewRequestEntity {
    @NotNull
    @Valid
    @JsonProperty("previewData")
    private PreviewData previewData;

    public PreviewData getPreviewData() {
        return previewData;
    }

    public PreviewRequestEntity setPreviewData(PreviewData previewData) {
        this.previewData = previewData;
        return this;
    }
}
